Commissioning is failing to set node memory attribute

Bug #1064638 reported by Diogo Matsubara on 2012-10-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Critical
Jelmer Vernooij
maas (Ubuntu)
Critical
Andres Rodriguez
Precise
Undecided
Unassigned

Bug Description

Tested with 0.1+bzr1239+dfsg-0+1240+125~ppa0~quantal1

After commissioning the lenovo machines in the QA lab, the memory attribute is set to 0 MB

The fallout from this is that juju bootstrap won't be able to find a matching node when you run:

== TEST CASE ==
1. $ juju bootstrap --constraints "arch=amd64"
2012-10-09 16:57:51,558 INFO Bootstrapping environment 'maas' (origin: lp:juju type: maas)...
2012-10-09 16:57:52,724 ERROR No matching node is available.

2. $ juju bootstrap --constraints "arch=amd64 mem=0"
2012-10-09 16:59:53,958 INFO Bootstrapping environment 'maas' (origin: lp:juju type: maas)...
2012-10-09 16:59:57,067 INFO 'bootstrap' command finished successfully

To test if fixed, 1 should succeed.

Tested in the lenovo lab. Both 1 and "juju bootstrap" (i.e. without any constraints) now work fine.

Related branches

description: updated
Robie Basak (racb) wrote :

If it helps, armhf/highbank does seem to pick up the memory field correctly.

Robie Basak (racb) wrote :

In src/maasserver/models/node.py, it looks like an xpath of "//node[@id='memory']/size[@units='bytes'] div 1048576" is expected to determine the amount of memory on a system. But this machine's "lshw -xml" output doesn't seem to have this entry. Instead it there is id="memory:0" and id="bank:0" and presumably we need the total.

Changed in maas:
milestone: none → 12.10
importance: Undecided → Critical
status: New → Triaged
Julian Edwards (julian-edwards) wrote :

It works well for me on my HP Microservers too.

Jelmer Vernooij (jelmer) on 2012-10-10
Changed in maas:
assignee: nobody → Jelmer Vernooij (jelmer)
Robie Basak (racb) wrote :

highbank output attached for reference

Changed in maas:
status: Triaged → In Progress
Changed in maas:
status: In Progress → Fix Committed
tags: added: sru-12.10
Changed in maas:
status: Fix Committed → Fix Released
Changed in maas (Ubuntu):
assignee: nobody → Andres Rodriguez (andreserl)
importance: Undecided → Critical
status: New → In Progress
description: updated

Hello Diogo, or anyone else affected,

Accepted into quantal-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 0.1+bzr1269+dfsg-0ubuntu1

---------------
maas (0.1+bzr1269+dfsg-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
    - Fixes commissioning failing to set memory attribute. (LP: #1064638)
    - Fixes node listing by adding pagination (LP: #1064672)
    - Changes default bind rndc key which breaks initscripts (LP: #1066938)
    - Fixes invalid DNS config once node is enlisted (LP: #1066958)
    - Reference documentation link to correct URL (LP: #1067261)

  [ Andres Rodriguez ]
  * debian/rules: Change upstream branch.

  [ Gavin Panella ]
  * debian/maas-dns.postinst: Remove MAAS-related include lines from named's
    config before adding a new one (LP: #1066929)

  [ Raphael Badin ]
  * debian/extras/maas-region-celeryd: Remove whitespace that affects DNS
    rabbitmq queue. (LP: #1067929)
 -- Andres Rodriguez <email address hidden> Tue, 16 Oct 2012 10:31:37 -0400

Changed in maas (Ubuntu):
status: In Progress → Fix Released
tags: added: verification-done
removed: verification-needed
description: updated
Changed in maas (Ubuntu):
milestone: none → precise-updates
milestone: precise-updates → none
no longer affects: maas
Robie Basak (racb) wrote :

Tested maas 0.1+bzr1269+dfsg-0ubuntu1 from quantal-proposed. No regression on armhf/highbank, and memory field still set correctly on commissioning.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Dave Walker (davewalker) on 2012-10-26
Changed in maas (Ubuntu Precise):
status: New → Fix Released
Martin Packman (gz) on 2012-11-06
Changed in maas:
status: New → Fix Released
importance: Undecided → Critical
assignee: nobody → Jelmer Vernooij (jelmer)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers